Upstream information

CVE-2019-18684 at MITRE

Description

** DISPUTED ** Sudo through 1.8.29 allows local users to escalate to root if they have write access to file descriptor 3 of the sudo process. This occurs because of a race condition between determining a uid, and the setresuid and openat system calls. The attacker can write "ALL ALL=(ALL) NOPASSWD:ALL" to /proc/#####/fd/3 at a time when Sudo is prompting for a password. NOTE: This has been disputed due to the way Linux /proc works. It has been argued that writing to /proc/#####/fd/3 would only be viable if you had permission to write to /etc/sudoers. Even with write permission to /proc/#####/fd/3, it would not help you write to /etc/sudoers.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.9
Vector AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7 6.3
Vector CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:H/PR:L/UI:R/S:U/C:H/I:H/A:L
Access Vector Local Local
Access Complexity High High
Privileges Required Low Low
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High Low
CVSSv3 Version 3.1 3
SUSE Bugzilla entry: 1155886 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 sudo Not affected
CaaS Platform 2.0 sudo Not affected
CaaS Platform 3.0 sudo Not affected
SUSE Linux Enterprise Desktop 12 SP4 sudo Not affected
SUSE Linux Enterprise High Performance Computing 12 sudo Not affected
SUSE Linux Enterprise Module for Basesystem 15 GA sudo Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 sudo Not affected
SUSE Linux Enterprise SDK 12 SP4 sudo Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS sudo Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS sudo Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS sudo Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS sudo Not affected
SUSE Linux Enterprise Server 12 SP4 sudo Not affected
SUSE Linux Enterprise Server 12 SP5 sudo Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 sudo Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 sudo Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 sudo Not affected